Description

Check whether CP-1403 (Final Text) requires changes to the DCMTK.

This is the "Rational for Change" of this CP:
DIMSE Service Status codes and requirements for their usage are provided in both Part 7 and Part 4,
however, certain aspects of their usage are unclear or inconsistent within and between the parts. This

correction proposal provides clarifications and addresses the following inconsistencies:

e Status code meanings are inconsistent between DIMSE services definitions in Section 10 of Part 7
and the catalogue of valid Status Codes in Annex C of the same part;

e Standard status code meanings are inconsistent between Service Class definitions in Part 4 and
DIMSE Service definitions in Part 7;

¢ Status code meanings specified in Service Class definition are not listed as allowable in the
corresponding DIMSE Service definition;

¢ In some Service class definitions, there is no explicit indication that ALL allowable status meanings
for corresponding DIMSE service can be returned by an SCP, or such indication is not clear;

¢ There are no rules for selection of implementation specific status codes by an SCP or rules for
interpretation of such codes by an SCU.

Related issues:

Related to DCMTK - Conformance #598: Add support for CP-1222: Amend DIMSE Ser... Closed 2014-06-18
Related to DCMTK - Conformance #931: Remove redundant mapping of DIMSE Status... New 2020-04-17
History

#1 - 2017-11-26 15:56 - JO6rg Riesmeier
- Related to Conformance #598: Add support for CP-1222: Amend DIMSE Service status codes added

#2 - 2018-02-05 19:32 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.4

#3 - 2018-02-05 22:11 - J6rg Riesmeier
- Target version changed from 3.6.4 to 3.6.6

#4 - 2020-03-06 16:45 - Jorg Riesmeier
- Assignee set to Jorg Riesmeier

- % Done changed from 0 to 20

Revised macros checking the Status Class of a DIMSE Status Code. See commit 23fed28.
#5 - 2020-03-31 21:20 - J6rg Riesmeier
- Estimated time set to 10:00 h

#6 - 2020-04-01 18:39 - Jorg Riesmeier
- Status changed from New to Closed

- % Done changed from 20 to 100

Closed with commit 5422b14.

#7 - 2020-04-17 09:54 - J6rg Riesmeier

- Related to Conformance #931: Remove redundant mapping of DIMSE Status Codes to human readable description added

#8 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
